import { PresetProperty } from '@storybook/types';
import { Nuxt } from '@nuxt/schema';
import { StorybookConfig } from './index.cjs';
import '@storybook/vue3';
import '@storybook/vue3-vite';
import '@storybook/builder-vite';

declare const core: PresetProperty<'core', StorybookConfig>;
/**
 * This is needed to correctly load the `preview.js` file,
 * see https://github.com/storybookjs/storybook/blob/main/docs/contribute/framework.md#4-author-the-framework-itself
 */
declare const previewAnnotations: StorybookConfig['previewAnnotations'];
declare const viteFinal: StorybookConfig['viteFinal'];
declare function getNuxtProxyConfig(nuxt: Nuxt): {
    port: any;
    route: string;
    proxy: {
        "^/(_nuxt|_ipx|_icon|__nuxt_devtools__)": {
            target: string;
            changeOrigin: boolean;
            secure: boolean;
            ws: boolean;
        };
    };
};

export { core, getNuxtProxyConfig, previewAnnotations, viteFinal };
